enumerations

## Enum DeviceType

- java.lang.Object
- - java.lang.Enum<DeviceType>
  - - enumerations.DeviceType

- All Implemented Interfaces:
    EnumBase, java.io.Serializable, java.lang.Comparable<DeviceType>

      public enum DeviceType
      extends java.lang.Enum<DeviceType>
      implements EnumBase

  Device Types specified in Wireless M-Bus, their hexadecimal representations and meanings.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADConverter`
    `BusOrSystemComponent`
    `ColdWater`
    `CompressedAir`
    `CoolingLoadMeterInlet`
    `CoolingLoadMeterOutlet`
    `DualRegister`
    `Electricity`
    `Gas`
    `HeatCost`
    `HeatCostAllocator`
    `HeatOrCoolingLoad`
    `HeatVolume`
    `HotWater`
    `Oil`
    `Other`
    `Pressure`
    `Steam`
    `UnknownMedium`
    `WarmWater`
    `Water`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Integer` | `hexCode`
    `private java.lang.String` | `niceName`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHexCode()`
    `java.lang.String` | `getNiceName()`
    `static DeviceType` | `parse(java.lang.String code)`
    `java.lang.String` | `toString()`
    `static DeviceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DeviceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface core.EnumBase

      `ordinal`

- - ### Enum Constant Detail

    - #### ADConverter

          public static final DeviceType ADConverter

    - #### BusOrSystemComponent

          public static final DeviceType BusOrSystemComponent

    - #### ColdWater

          public static final DeviceType ColdWater

    - #### CompressedAir

          public static final DeviceType CompressedAir

    - #### CoolingLoadMeterInlet

          public static final DeviceType CoolingLoadMeterInlet

    - #### CoolingLoadMeterOutlet

          public static final DeviceType CoolingLoadMeterOutlet

    - #### DualRegister

          public static final DeviceType DualRegister

    - #### Electricity

          public static final DeviceType Electricity

    - #### Gas

          public static final DeviceType Gas

    - #### HeatCost

          public static final DeviceType HeatCost

    - #### HeatCostAllocator

          public static final DeviceType HeatCostAllocator

    - #### HeatOrCoolingLoad

          public static final DeviceType HeatOrCoolingLoad

    - #### HeatVolume

          public static final DeviceType HeatVolume

    - #### HotWater

          public static final DeviceType HotWater

    - #### Oil

          public static final DeviceType Oil

    - #### Other

          public static final DeviceType Other

    - #### Pressure

          public static final DeviceType Pressure

    - #### Steam

          public static final DeviceType Steam

    - #### UnknownMedium

          public static final DeviceType UnknownMedium

    - #### WarmWater

          public static final DeviceType WarmWater

    - #### Water

          public static final DeviceType Water

  - ### Field Detail

    - #### hexCode

          private final java.lang.Integer hexCode

    - #### niceName

          private final java.lang.String niceName

  - ### Method Detail

    - #### getHexCode

          public int getHexCode()

    - #### getNiceName

          public java.lang.String getNiceName()

      Specified by:
        `getNiceName` in interface `EnumBase`

    - #### parse

          public static DeviceType parse(java.lang.String code)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DeviceType>`

    - #### valueOf

          public static DeviceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static DeviceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeviceType c : DeviceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared